Subject: [bug#42317] Adding a "Running Guix on a Linode" to the cookbook

From: Christopher Lemmer Webber <[email-masked]>
Date: Fri, 07 Aug 2020 17:11:21 -0400

Joshua Branson via Guix-patches via writes:

>> +Replace the following fields in the above configuration:
>> +@lisp
>> +(host-name "my-server")     ; replace with your server name
>> +(name "janedoe")            ; replace with your username
>> +("janedoe" ,(local-file "janedoe_rsa.pub")) ; here too
>> +@end lisp
>> +
>> +Note the same above for root, which I don't feel great about, but
>> +otherwise you'll need to log in via the linode "glish" console to log in
>> +as root and set the user's initial password before you can start using
>> +sudo.  @comment {(is there another way around this?)}
>
> I'm not certain how I need to change the configuration here...  I just
> deleted the "Note the same above for root" paragraph.  Can you give me
> some direction?

Easiest path is to just add

    ;; Allow root login to allow easy login before you set up your
    ;; initial password for sudo purposes.  You can remove this line
    ;; after you log in and set your initial user password.
    ("root" ,(local-file "janedoe_rsa.pub")

after the janedoe thing and delete that whole paragraph.  That provides
an easyish way to deal with things... if someone is uncomfortable with
having a root login, I suppose they have enough experience to know how
to remove this later if they want.

Great work on this, with that change I think it looks good to go!